package alx.aplikacja;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.time.LocalDateTime;

/* Klasa typu Controller decyduje, w jaki sposób będą obsługiwane zapytania przychodzące na serwer.
 * W projekcie może być wiele kontrolerów, a każdy kontroler może mieć wiele metod obsługujących zapytania.
 */

@Controller
public class RootController {
    @GetMapping("/")
    public String spisTresci() {
        return "index.html";
    }

    @GetMapping("/hello")
    // można też użyć starszej wersji: @RequestMapping("/hello")
    @ResponseBody
    public String sayHello() {
        return "Hello World!";
    }

    // Dopisz metodę, która zwraca bieżący czas, pod innym adresem, np. /czas
    @GetMapping("/czas")
    @ResponseBody
    public LocalDateTime czas() {
        return LocalDateTime.now();
    }

}
